MEMCPY(3)

NAME
memcpy - copy bytes

SYNOPSIS
#include <string.h>
void *
memcpy(void *dst, const void *src, size_t len);

DESCRIPTION
The memcpy() function copies len bytes from buffer src to buffer dst.

RETURN VALUES
The memcpy() function returns the original value of dst.

SEE ALSO
bcopy(3), memccpy(3), memmove(3), strcpy(3), strlcpy(3), wmemcpy(3)

STANDARDS
The memcpy() function conforms to ansiC.

HISTORY
The memcpy() function first appeared in AT&T UNIX and was reimplemented for 4.3BSD Tahoe.

CAVEATS
In this implementation memcpy() is implemented using bcopy(3), and therefore the buffers may overlap. On other systems, copying overlapping buffers may produce surprises. A portable, safe solution is to use memmove(3).